body {
  font-family: Rubik, sans-serif;
  color: #666;
}

main {
  background: url("../../assets/img/cokogames-educational-games.webp");
  padding-top: 25px;
}

main.kinder {
  background: url("../../assets/img/kindergarten.webp");
}

@media (min-width: 1400px) {
  .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
    max-width: 1170px;
  }
}

.header {
  /*height: 60px;*/
  padding: 4px 0;
  align-items: center;
  display: flex;
  width: 100%;
}

.logo > img {
  max-width: 300px;
}

@media (max-width: 991px) {
  .logo > img {
    max-width: 215px;
  }
}

.search__button {
  padding: 4px 10px;
  position: relative;
  background-color: transparent;
}

.search__button:hover {
  color: initial;
}

@media (min-width: 75em) {
  .search {
    margin-left: 3rem;
  }
}

.search {
  text-align: right;
  z-index: 9999;
}

.search__overlay {
  width: 222px;
  height: 40px;
  background: white;
  /*border: 1px solid #ccc;*/
  /*box-shadow: 0 9px 43px 0 rgba(0,0,0,.25);*/
  border-radius: 3px;
  left: 40%;
  transition: none;
  opacity: 1;
  display: flex;
  align-items: center;
}

[type=email]:focus, [type=number]:focus, [type=search]:focus, [type=tel]:focus, [type=text]:focus, [type=url]:focus, select:focus, textarea:focus {
  border-color: rgba(40,49,73,.2);
  outline: 0;
}

.search__input {
  background: 0 0;
  border: 1px solid #ccc;
  padding: 5px;
  width: 100%;
}

.search__button, .search__button:hover {
  background: #038d7b;
  color: white;
  border-radius: 0;
  margin-left: 5px;
  display: flex;
  height: 36px;
  align-items: center;
}

@media (max-width: 575px) {
  .header-cont {
    flex-direction: column;
    margin-top: 10px;
    width: 100%;
    /*align-items: start !important;*/
    gap: 10px;
  }
}

@media (max-width: 575px) {
  .header, .search__overlay, .search {
    width: 100%;
    height: auto;
  }
}

@media (min-width: 992px) {
  .dropdown-menu {
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, .2);
  }
}

.nav-link {
  padding: 0 10px;
  color: white;
  border: 2px solid #ffffff;
  border-radius: 0;
  font-size: 16px;
  /*font-weight: 500;*/
  line-height: 30px;
  text-transform: uppercase;
}

.dropdown-menu {
  border: none;
}

.dropdown-item {
  padding: 0 10px;
  border: 2px solid #ffffff;
}

.nav-link:hover {
  background-color: #1d5f5d;
  color: white;
  border: 2px solid #ffffff;
}

@media (min-width: 992px) {
  .dropdown-menu {
    padding: 10px;
    width: 270px;
  }
}

@media (max-width: 991px) {
  .dropdown-menu {
    margin: 0 !important;
    padding: 0;
    background: transparent;
  }
}

@media (min-width: 992px) {
  .dropdown-item {
    color: white;
    line-height: 30px;
    border-radius: 5px;
    padding: 0 10px;
    display: block;
    color: #666;
  }
}

@media (min-width: 992px) {
  .dropdown-item:hover {
    background: #1d5f5d;
  }
}

@media (max-width: 991px) {
  .dropdown-item {
    margin: 0 0 0 10px;
    color: white;
  }
}

.navbar-toggler {
  width: 100%;
  background: #038d7b;
  color: white;
  border-radius: 0;
  border: none;
  box-shadow: none;
  outline: none;
}

@media (max-width: 991px) {
  .navbar-toggler {
    margin-bottom: 20px;
  }
}

.navbar .dropdown-toggle:focus:not(:focus-visible) {
  outline: none;
  box-shadow: none;
}

.cl-1 {
  background: #E0DC24;
}

.cl-2 {
  background: #C8BF42;
}

.cl-3 {
  background: #ABC465;
}

.cl-4 {
  background: #7AD1A2;
}

.cl-5 {
  background: #61D8C9;
}

.da-carousel {
  padding-top: 5px !important;
  text-align: center;
  display: block !important;
  float: none !important;
  width: 100%;
  background: #24c3af !important;
}

@media screen and (max-width: 991px) and (min-width: 518px) {
  .da-carousel {
    min-height: 176.19px;
  }
}

@media screen and (min-width: 1200px) {
  .da-carousel {
    min-height: 90.59px;
  }
}

/* hero */

.hero-title, .section-title {
  font-family: 'Architects Daughter', serif;
  font-size: 44px;
  font-weight: 600;
  text-align: center;
}

.hero-title a, .section-title a, .section-title {
  color: #21c6b1;
}

/* game-row */

.game-row {
  display: grid;
  grid-template-columns: repeat(6, minmax(0, 1fr));
  gap: 16px;
}

@media (max-width: 1200px) {
  .game-row {
    grid-template-columns: repeat(6, 1fr);
  }
}

/* Tablet */

@media (max-width: 992px) {
  .game-row {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (max-width: 768px) {
  .game-row {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* Mobile */

@media (max-width: 576px) {
  .game-row {
    grid-template-columns: repeat(2, 1fr);
  }
}

.game-item {
  overflow: hidden;
  border: 0 solid #69727d;
  background-color: #21C6B11F;
  border-color: #21C6B1;
  border-width: 4px;
  border-radius: 24px;
}

.game-item {
  display: block;
  text-decoration: underline;
  color: #21C6B1;
}

.game-thumb {
  position: relative;
  overflow: hidden;
  margin-bottom: 20px;
}

.game-thumb img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
}

.thumb-overlay {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  height: 35%;
  background: linear-gradient( to top, rgba(0, 0, 0, 0.45), rgba(0, 0, 0, 0) );
  transition: opacity 0.25s ease;
}

.game-item:hover .thumb-overlay {
  opacity: 0;
}

.game-title {
  margin-top: 8px;
  font-size: 15px;
  line-height: 1.4;
  font-weight: 400;
  padding: 0 17px;
  margin-bottom: 20px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.game-thumb img {
  transition: transform 0.3s ease;
}

.game-thumb {
  aspect-ratio: 1/1;
}

.footer {
  background: #06a38f;
  color: white;
}

.footer-top {
  margin: 0 auto;
  padding: 48px 0;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 40px;
}

.footer-item {
  line-height: 1.6;
}

.footer-title {
  margin-bottom: 12px;
  margin-top: 12px;
  font-size: 20px;
  color: #fff;
  font-weight: 500;
}

.footer__list {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer__list li {
  margin-bottom: 8px;
}

.footer__link {
  color: #ffffff;
  text-decoration: none;
  transition: color 0.2s ease;
}

.footer__link:hover {
  color: #fff;
}

@media (max-width: 992px) {
  .footer-top {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 576px) {
  .footer-top {
    grid-template-columns: 1fr;
    text-align: center;
  }
}

@media (min-width: 1200px) {
  .ft-brand img {
    padding-right: 50px;
  }
}

.footer-bottom {
  background: #067567;
  text-align: center;
  padding: 14px 16px;
}

/* detail */

/* detail */

.game-player {
  background-color: #f1f1f1;
  border-radius: 8px;
  color: white;
  overflow: hidden;
}

.game-iframe-container {
  position: relative;
  overflow: hidden;
  width: 100%;
}

.game-iframe {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
}

.game-iframe {
  width: 100%;
  aspect-ratio: 16 / 9;
  border: none;
}

.single-info-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 20px;
  /*justify-content: center;*/
}

.single-info-container .heading {
  font-size: 20px;
  color: #666;
  margin-bottom: 0;
}

.action-btn {
  display: flex;
  gap: 20px;
}

.action-btn > div {
  gap: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.stats-vote .ic-detail {
  /*font-size: 12px;*/
  background: rgba(0,0,0,.5);
  border-radius: 100%;
  width: 30px;
  padding: 0 7px;
  height: 30px;
  line-height: 30px;
  text-align: center;
  color: white;
  display: block;
}

.stats-vote .ic-detail:hover {
  background: #1abc9c;
  cursor: pointer;
}

.share-btn {
  position: relative;
  transition: 0.3s;
}

.share-social {
  position: absolute;
  top: 100%;
  left: -20px;
  padding: 15px;
  list-style: none;
  width: 70px;
  color: black;
  background: white;
  box-shadow: 0 0 5px rgba(0,0,0,.1);
  text-align: center;
  z-index: 1000;
  opacity: 0;
  display: none;
}

.share-btn:hover .share-social {
  opacity: 1;
  transition: ease 0.3s;
  display: block;
}

.share-social:before {
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-bottom: 5px solid #fff;
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  top: -5px;
  margin: auto;
}

.share-social li {
  float: none;
  width: 40px;
}

.share-social li a {
  width: 40px;
  line-height: 40px;
  height: 40px;
  display: block;
  text-align: center;
  font-size: 16px;
  color: gray;
}

.share-social li a:hover {
  color: #16c4bb;
}

.rating {
  display: flex;
  align-items: center;
}

.star-on {
  color: #ffa73f;
  width: 18px;
  display: inline-block;
  font-size: 15px;
  position: relative;
  left: 0px;
  top: -2px;
}

.star-off {
  color: #8b8b8b;
  width: 18px;
  display: inline-block;
  font-size: 15px;
  position: relative;
  left: 0px;
  top: -2px;
}

.title.cate {
  border-bottom: 1px dashed #21c6b1;
}

.title.cate h1 {
  font-size: 1.5rem;
}

.game-cate-item {
  padding-top: 100%;
  position: relative;
  overflow: hidden;
  margin-bottom: 20px;
}

.game-cate-item .game-image {
  border-radius: 5px;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.game-cate-item .game-image img {
  border-radius: 5px;
  object-fit: cover;
  width: 100%;
}

.game-image a:before {
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0, #000 100%);
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  top: 30px;
  z-index: 1;
  opacity: 0;
}

.game-cate-item:hover .game-image a:before {
  opacity: 1;
  transition: 0.3s;
}

.game-text {
  bottom: -100%;
  padding: 0 10px 10px;
  transition: all .2s;
  z-index: 2;
  position: absolute;
  left: 0;
  right: 0;
}

.game-cate-item:hover .game-text {
  bottom: 0;
}

.game-cate-item:hover .game-image img {
  transform: scale(1.15);
  transition: all .2s ease;
  opacity: .5;
}

.game-heading {
  text-shadow: 2px 2px 5px #000;
  font-size: 14px;
}

.game-heading a {
  font-weight: 700;
  font-size: 14px;
  line-height: 20px;
  color: white;
}

.stars {
  background: url(../../assets/img/star.png) repeat-x;
  height: 15px;
  width: 75px;
  clear: both;
  direction: ltr;
}

.stars span {
  display: block;
  background: url(../../assets/img/stars.png) repeat-x;
  height: 20px;
}

.user {
  font-size: 10px;
}

.icon-play svg {
  color: #16C4BB;
  font-weight: 700;
  font-size: 12px;
  margin-right: 0.25rem;
  margin-left: 0.5rem;
  display: inline-block;
}

/* cate */

.category-parent {
  font-size: 22px !important;
  color: #7a7c7d;
  font-weight: 600;
}

.category-title {
  font-family: "Architects Daughter", Sans-serif;
  font-size: 44px;
  font-weight: 400;
  text-decoration: underline;
  color: #CCC82A;
}

.category-title, .category-parent {
  font-family: 'Architects Daughter';
}

.yellow-page .game-item {
  color: #AAA722;
  background-color: #CCC82A36;
  border-color: #CCC82A;
}

.no-bg {
  background: white;
}

@media (min-width: 992px) {
  .gallery-item {
    display: flex;
    justify-content: space-between;
  }
}

.gallery-item img {
  max-width: 82px;
}

